Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.options 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.options
Class VetoSystemOption

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.options.SystemOption
              org.openide.options.VetoSystemOption

All Implemented Interfaces:
  Externalizable, Serializable, HelpCtx.Provider

    public abstract class VetoSystemOption

extends SystemOption

Extends the functionality of `SystemOption` by providing support for veto listeners.

See Also:
  Serialized Form

Constructor Summary
`VetoSystemOption()` Default constructor.

Method Summary
`void` | `addVetoableChangeListener(VetoableChangeListener list)` Add a new veto listener to all instances of this exact class.
`void` | `fireVetoableChange(String name, Object oldValue, Object newValue)` Fire a property change event.
`void` | `removeVetoableChangeListener(VetoableChangeListener list)` Remove a veto listener from all instances of this exact class.

Methods inherited from class org.openide.options.SystemOption
`clearSharedData, displayName, firePropertyChange, getHelpCtx, getName, isReadExternal, isWriteExternal, readExternal, reset, writeExternal`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, getLock, getProperty, hashCode, initialize, putProperty, putProperty, removeNotify, removePropertyChangeListener, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VetoSystemOption

    public VetoSystemOption()

  Default constructor.

Method Detail

### addVetoableChangeListener

    public final void addVetoableChangeListener(VetoableChangeListener list)

  Add a new veto listener to all instances of this exact class.

  Parameters:
    `list` - the listener to add

### removeVetoableChangeListener

    public final void removeVetoableChangeListener(VetoableChangeListener list)

  Remove a veto listener from all instances of this exact class.

  Parameters:
    `list` - the listener to remove

### fireVetoableChange

    public final void fireVetoableChange(String name,
                                         Object oldValue,
                                         Object newValue)
                                  throws PropertyVetoException

  Fire a property change event.

  Parameters:
    `name` - the name of the property
    `oldValue` - the old value
    `newValue` - the new value
  Throws:
    `PropertyVetoException` - if the change is vetoed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.options 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.